﻿html {
    margin: 0;
    padding: 0;
}

body {
    background-color: #fff;
    color: #333;
    font-size: 12px;
    line-height: 15px;
    font-family: 'Roboto', sans-serif;
    margin: 20;
    padding: 20;
}
.closed {
    background-color: orange !important;
}
.clearfix {
    clear: both;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
    border: 0 none;
}

h1, h2, h3, h4, h5 {
    font-family: 'Source Sans Pro', sans-serif;
}

.grid2 table {
    border: solid 1px Gray;
}

.grid2 th {
    border: solid 1px Gray;
    padding: 2px;
    text-align: left;
    background-color: #cccccc;
}

.grid2 tr {
    background-color: White;
}


.grid2 td {
    border: solid 1px Gray;
    padding: 2px;
}

td {
    font-family: 'Roboto', sans-serif;
    font-size: 12px;
    line-height: 15px;
}

p {
    padding: 3px 0 0 0;
    line-height: 17px;
}

input[type="text"], [type="file"], input[type="password"], select, textarea {
    font-family: 'Roboto', sans-serif;
    font-size: 12px;
    color: #0A1344;
    background-color: #E8F1FD;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    border: 1px solid #216BD0;
    margin-bottom: 1px;
    margin-right: 1px;
}

input[type="submit"], [type="button"] {
    font-family: 'Roboto', sans-serif;
    font-size: 11px;
    color: #ffffff;
    background-color: #163173;
    border: 1px #216BD0 solid;
    height: 21px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
}

.trmonth {
    border: 1px #C3C3C3 solid;
    width: 20px;
    text-align: right;
}

.trhour {
    border: 1px #C3C3C3 solid;
    text-align: right;
    width: 20px;
}

.attributfield {
    width: 175px;
}

.textareaattributfield {
    width: 175px;
    height: 80px;
}

.notes {
    width: 350px;
    height: 250px;
}

.conditions {
    width: 350px;
    height: 80px;
}

.textarea250 {
    width: 250px;
    height: 67px;
}

.textarea450 {
    width: 450px;
    height: 300px;
}

.textarea50 {
    width: 120px;
    height: 30px;
}

.textarea450small {
    width: 450px;
    height: 100px;
}

.longwidth {
    width: 300px;
}

.standardwidth {
    width: 180px;
}

.width67 {
    width: 120px;
}

.width50 {
    width: 100px;
}

.width33 {
    width: 75px;
}

.width25 {
    width: 50px;
}

.amount {
    width: 50px;
    text-align: right;
}

.width12 {
    width: 25px;
}

.width5figures {
    width: 30px;
}

.widthdate {
    font-size: 11px;
    width: 70px;
}

table.center {
    margin-left: auto;
    margin-right: auto;
}

a, a:hover, a:visited {
    color: #0006FF;
}

    .menu, a.menu, a.menu:hover, a.menu:visited {
        color: #ffffff;
    }

    .offmenu, a.offmenu, a.offmenu:hover, a.offmenu:visited {
        color: #999999;
    }

.MyCalendar .ajax__calendar_container {
    border: 1px solid #646464;
    background-color: lemonchiffon;
    color: red;
}

.multilinediv {
    width: 400px;
    height: 400px;
    overflow-y: auto;
}

.singlelinediv {
    width: 400px;
    height: 50px;
    overflow-y: auto;
}

.minitextarea {
    width: 400px;
    height: 46px;
}

.validator {
    color: Red;
}
/*********************************************
/* Modal Popup */
.modalBackground {
    background-color: #000 !important;
    opacity: 0.6 !important;
    position: fixed !important;
    top: 0 !important;
    left: 0 !important;
    width: 100% !important;
    height: 100% !important;
    z-index: 999 !important;
}

.ModalPopup {
    background-color: #fff !important;
    padding: 1rem !important;
    border: none !important;
    overflow-y: auto !important;
    position: fixed !important;
    top: 2% !important;
    left: 0 !important;
    width: 100% !important;
    max-width: 600px !important;
    max-height: 95% !important;
    z-index: 1000 !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5) !important;
}

/* Media Queries for larger screens */
@media (min-width: 1024px) {
    .ModalPopup {
        top: 2% !important;
        left: 0 !important;
        width: 100% !important;
        max-width: 90% !important;
        max-height: 95% !important;
        padding: 2rem !important;
    }
}

/* Media Queries for smaller screens */
@media (max-width: 600px) {
    .ModalPopup {
        top: 2% !important;
        width: 90% !important;
        max-width: 90% !important;
        max-height: 90% !important;
        left: 5% !important;
    }
}


.snapshot2 {
    border: 1px solid #999999;
    background-color: #ffffff;
    padding: 10px 10px 10px 10px;
    margin: 0 0 0 0;
    margin-left: auto;
    margin-right: auto;
}
/*********************************************
/* DROPDOWN MENU */
#cssmenu ul,
#cssmenu li,
#cssmenu span,
#cssmenu a {
    margin: 0;
    padding: 0;
    position: relative;
}

#cssmenu {
    height: 49px;
    border-radius: 5px 5px 0 0;
    -moz-border-radius: 5px 5px 0 0;
    -webkit-border-radius: 5px 5px 0 0;
    background: #141414;
    background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAxCAIAAACUDVRzAAAAA3NCSVQICAjb4U/gAAAALElEQVQImWMwMrJi+v//PxMDw3+m//8ZoPR/qBgDEhuXGLoeYswhXg8R5gAAdVpfoJ3dB5oAAAAASUVORK5CYII=) 100% 100%;
    background: -moz-linear-gradient(top, #32323a 0%, #141414 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #32323a), color-stop(100%, #141414));
    background: -webkit-linear-gradient(top, #32323a 0%, #141414 100%);
    background: -o-linear-gradient(top, #32323a 0%, #141414 100%);
    background: -ms-linear-gradient(top, #32323a 0%, #141414 100%);
    background: linear-gradient(to bottom, #32323a 0%, #141414 100%);
    border-bottom: 2px solid #e00f16;
}

    #cssmenu:after,
    #cssmenu ul:after {
        content: '';
        display: block;
        clear: both;
    }

    #cssmenu a {
        background: #141414;
        background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAxCAIAAACUDVRzAAAAA3NCSVQICAjb4U/gAAAALElEQVQImWMwMrJi+v//PxMDw3+m//8ZoPR/qBgDEhuXGLoeYswhXg8R5gAAdVpfoJ3dB5oAAAAASUVORK5CYII=) 100% 100%;
        background: -moz-linear-gradient(top, #32323a 0%, #141414 100%);
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #32323a), color-stop(100%, #141414));
        background: -webkit-linear-gradient(top, #32323a 0%, #141414 100%);
        background: -o-linear-gradient(top, #32323a 0%, #141414 100%);
        background: -ms-linear-gradient(top, #32323a 0%, #141414 100%);
        background: linear-gradient(to bottom, #32323a 0%, #141414 100%);
        color: #ffffff;
        display: inline-block;
        font-family: Lato, "Segoe UI", Tahoma,Helvetica, Arial, Verdana, sans-serif;
        font-size: 12px;
        line-height: 49px;
        padding: 0 20px;
        text-decoration: none;
    }

    #cssmenu ul {
        list-style: none;
    }

    #cssmenu > ul {
        float: left;
    }

        #cssmenu > ul > li {
            float: left;
        }

            #cssmenu > ul > li:hover:after {
                content: '';
                display: block;
                width: 0;
                height: 0;
                position: absolute;
                left: 50%;
                bottom: 0;
                border-left: 10px solid transparent;
                border-right: 10px solid transparent;
                border-bottom: 10px solid #e00f16;
                margin-left: -10px;
            }

            #cssmenu > ul > li:first-child > a {
                border-radius: 5px 0 0 0;
                -moz-border-radius: 5px 0 0 0;
                -webkit-border-radius: 5px 0 0 0;
            }

            #cssmenu > ul > li:last-child > a {
                border-radius: 0 5px 0 0;
                -moz-border-radius: 0 5px 0 0;
                -webkit-border-radius: 0 5px 0 0;
            }

            #cssmenu > ul > li.active > a {
                box-shadow: inset 0 0 3px #000000;
                -moz-box-shadow: inset 0 0 3px #000000;
                -webkit-box-shadow: inset 0 0 3px #000000;
                background: #070707;
                background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAxCAIAAACUDVRzAAAAA3NCSVQICAjb4U/gAAAALklEQVQImWNQU9Nh+v//PxMDw3+m//8ZkNj/mRgYIHxy5f//Z0BSi18e2TwS5QG4MGB54HL+mAAAAABJRU5ErkJggg==) 100% 100%;
                background: -moz-linear-gradient(top, #26262c 0%, #070707 100%);
                background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #26262c), color-stop(100%, #070707));
                background: -webkit-linear-gradient(top, #26262c 0%, #070707 100%);
                background: -o-linear-gradient(top, #26262c 0%, #070707 100%);
                background: -ms-linear-gradient(top, #26262c 0%, #070707 100%);
                background: linear-gradient(to bottom, #26262c 0%, #070707 100%);
            }

            #cssmenu > ul > li:hover > a {
                background: #070707;
                background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAxCAIAAACUDVRzAAAAA3NCSVQICAjb4U/gAAAALklEQVQImWNQU9Nh+v//PxMDw3+m//8ZkNj/mRgYIHxy5f//Z0BSi18e2TwS5QG4MGB54HL+mAAAAABJRU5ErkJggg==) 100% 100%;
                background: -moz-linear-gradient(top, #26262c 0%, #070707 100%);
                background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #26262c), color-stop(100%, #070707));
                background: -webkit-linear-gradient(top, #26262c 0%, #070707 100%);
                background: -o-linear-gradient(top, #26262c 0%, #070707 100%);
                background: -ms-linear-gradient(top, #26262c 0%, #070707 100%);
                background: linear-gradient(to bottom, #26262c 0%, #070707 100%);
                box-shadow: inset 0 0 3px #000000;
                -moz-box-shadow: inset 0 0 3px #000000;
                -webkit-box-shadow: inset 0 0 3px #000000;
            }

    #cssmenu .has-sub {
        z-index: 1;
    }

        #cssmenu .has-sub:hover > ul {
            display: block;
        }

        #cssmenu .has-sub ul {
            display: none;
            position: absolute;
            width: 200px;
            top: 100%;
            left: 0;
        }

            #cssmenu .has-sub ul li {
                *margin-bottom: -1px;
            }

                #cssmenu .has-sub ul li a {
                    background: #e00f16;
                    border-bottom: 1px dotted #ec6f73;
                    filter: none;
                    font-size: 12px;
                    display: block;
                    line-height: 120%;
                    padding: 10px;
                }

                #cssmenu .has-sub ul li:hover a {
                    background: #b00c11;
                }

        #cssmenu .has-sub .has-sub:hover > ul {
            display: block;
        }

        #cssmenu .has-sub .has-sub ul {
            display: none;
            position: absolute;
            left: 100%;
            top: 0;
        }

            #cssmenu .has-sub .has-sub ul li a {
                background: #b00c11;
                border-bottom: 1px dotted #d06d70;
            }

                #cssmenu .has-sub .has-sub ul li a:hover {
                    background: #80090d;
                }
/*********************************************
/* TAB */
#tabs_container {
    border-bottom: 1px solid #ccc;
}

#tabs {
    list-style: none;
    padding: 5px 0 4px 0;
    margin: 0 0 0 10px;
}

    #tabs li {
        display: inline;
    }

        #tabs li a {
            border: 1px solid #ccc;
            padding: 4px 6px;
            text-decoration: none;
            background-color: #eeeeee;
            border-bottom: none;
            outline: none;
            border-radius: 5px 5px 0 0;
            -moz-border-radius: 5px 5px 0 0;
            -webkit-border-top-left-radius: 5px;
            -webkit-border-top-right-radius: 5px;
        }

            #tabs li a:hover {
                background-color: #dddddd;
                padding: 4px 6px;
            }

        #tabs li.active a {
            border-bottom: 1px solid #fff;
            background-color: #fff;
            padding: 4px 6px 5px 6px;
            border-bottom: none;
        }

            #tabs li.active a:hover {
                background-color: #eeeeee;
                padding: 4px 6px 5px 6px;
                border-bottom: none;
            }

#tabs_content_container {
    border: 1px solid #ccc;
    border-top: none;
    padding: 10px;
    min-height: 200px;
    overflow: visible;
}

.tab_content {
    display: none;
}


#tabs .lockedtab {
    border: 1px solid #ccc;
    padding: 4px 6px;
    text-decoration: none;
    background-color: #eeeeee;
    border-bottom: none;
    outline: none;
    border-radius: 5px 5px 0 0;
    -moz-border-radius: 5px 5px 0 0;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    color: #999999;
}

/* Tooltip container */
.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}

    /* Tooltip text */
    .tooltip .tooltiptext {
        visibility: hidden;
        min-width: 250px;
        background-color: black;
        color: #fff;
        text-align: center;
        padding: 15px;
        border-radius: 6px;
        /* Position the tooltip text - see examples below! */
        position: absolute;
        z-index: 1;
    }

    /* Show the tooltip text when you mouse over the tooltip container */
    .tooltip:hover .tooltiptext {
        visibility: visible;
    }

#blockBackgroundFilter {
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow: hidden;
    padding: 0;
    margin: 0;
    background-color: #000;
    filter: alpha(opacity=50);
    opacity: 0.5;
    z-index: 1000;
}

#ajaxProcessMessage {
    position: fixed;
    top: 30%;
    left: 43%;
    padding: 10px;
    z-index: 1001;
    background-color: #fff;
    border: solid 1px #000;
}

.overlay {
    position: fixed;
    display: none; /* color with alpha channel */
    background-color: rgba(0, 0, 0, 0.7); /* 0.7 = 70% opacity */ /* stretch to screen edges */
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 9998;
}

#loadingoverlay {
    position: fixed;
    display: none; /* color with alpha channel */
    background-color: rgba(0, 0, 0, 0.7); /* 0.7 = 70% opacity */ /* stretch to screen edges */
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    text-align: center
}

.loading {
    -webkit-animation: spin 2s linear infinite;
    -moz-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    z-index: 10001;
    padding: 200px;
}

@-moz-keyframes spin {
    100% {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


#dialog {
    display: none;
    position: absolute;
    top: 50px;
    left: 50%;
    width: 450px;
    margin-left: -150px;
    z-index: 9999;
    background: white;
    padding: 20px;
}

.pager, .pager:visited, .pager:hover {
    padding: 10px;
    color: #ffffff;
    background-color: #666666;
    text-decoration: none;
}

.currentpage {
    padding: 10px;
    color: #000000;
    background-color: #eeeeee;
}

.inloggedas {
    line-height: 49px;
    color: #cccccc;
    float: right;
    padding-right: 10px;
}

.instructions {
    width: 300px;
    height: 175px;
}

a.light, a.light:visited, a.light:hover {
    color: #F5D552;
}

.error {
    color: red;
}

.topaligned td {
    vertical-align: top;
}

.roles {
    width: 400px;
    height: 150px;
}

table.timereport,
.timereport table {
    border: solid 1px Gray;
}

.timereport th {
    border: solid 1px Gray;
    padding: 2px;
    text-align: left;
    background-color: #cccccc;
}

.timereport tr:hover {
    background-color: #ffa;
    color: black;
}

.timereport td:hover {
    background-color: #ffa;
    color: black;
}

.timereport td {
    border: solid 1px Gray;
    padding: 2px;
}

.timeneedrow {
    background-color: #e1e1e1;
}


td.newdate, th.newdate {
    border-left: 4px solid Gray;
}

th.headerhover, tr.rowhover, td.rowhover, td.headerhover {
    background-color: #ffa;
    color: black;
}

.late {
    background-color: #e00f16;
    color: white;
}

.calendaricon {
    vertical-align: middle;
}

fieldset.redfieldset {
    background-color: #FEE5E5;
    border-color: red;
    border-style:dashed;
    width: 600px;
    padding: 16px;
    margin-bottom:20px;
}


.textareasingleline {
    width:150px;
    height:32px;
}

table.timereport {
    table-layout: fixed;
    width: 100%;
    *margin-left: -100px; /*ie7*/
}

.timereport td, .timereport th {
    padding: 2px;
    margin: 0;
    height: 20px;
}

.icolh {
    width: 32px;
    height: 0px;
}

.icol {
    text-align: center;
    width: 32px;
    line-height: 19px;
    height: 20px;
}

.colspaned {
    text-align: center;
    line-height: 19px;
    height: 20px;
}

.fc1 {
    position: absolute;
    *position: relative; /*ie7*/
    left: 0;
    width: 98px;
    line-height: 19px;
    height: 20px;
}

.fc2 {
    position: absolute;
    *position: relative; /*ie7*/
    left: 100px;
    width: 202px;
    line-height: 19px;
    height: 20px;
}

.fc3 {
    position: absolute;
    *position: relative; /*ie7*/
    left: 304px;
    width: 120px;
    line-height: 19px;
    height: 20px;
}

.fc4 {
    position: absolute;
    *position: relative; /*ie7*/
    left: 426px;
    width: 155px;
    line-height: 19px;
    height: 20px;
}

.outer {
    position: relative
}

.inner {
    overflow-x: scroll;
    overflow-y: visible;
    width: 850px;
    margin-left: 588px;
}
